import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';
import {
  goalFieldNameMappingRuleTableList,
  sourceFieldNameMappingRuleTableList
} from "@/views/dataIntegration/dataLoading/dataEntryLake/mock";

export const isCustomSQLColumns: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'fieldName',
  },
  {
    title: '类型',
    dataIndex: 'fieldType',
  },
];

export const getMetadataColumns: BasicColumn[] = [
  {
    title: '表名',
    dataIndex: 'tableName',
  },
];

export const notCustomSQLColumns: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'fieldName',
  },
  {
    title: '类型',
    dataIndex: 'fieldType',
  },
  {
    title: '数据转换',
    dataIndex: 'dataConversion',
    slots: { customRender: 'dataConversion' },
  },
];

export const mappingRuleConfigurationColumns: BasicColumn[] = [
  {
    title: '规则名称',
    dataIndex: 'ruleName',
    width: 200,
  },
  {
    title: '规则内容',
    dataIndex: 'ruleContent',
  },
  {
    title: '执行顺序',
    width: 100,
    dataIndex: 'executionSequence',
    slots: { customRender: 'executionSequence' },
  },
];

export const fieldNameMappingRuleColumns: BasicColumn[] = [
  {
    title: '源字段名',
    dataIndex: 'fieldName',
    labelWidth: 160,
  },
  {
    title: '目标字段名',
    dataIndex: 'targetFieldName',
  },
];

export const singleSourceFieldNameMappingRuleColumns: BasicColumn[] = [
  {
    title: '字段名',
    dataIndex: 'fieldName',
  },
  {
    title: '字段类型',
    dataIndex: 'fieldType',
  },
  {
    title: '注释',
    dataIndex: 'annotation',
  },
];

export const singleGoalFieldNameMappingRuleColumns: BasicColumn[] = [
  {
    title: '字段名',
    dataIndex: 'targetFieldName',
    edit: true,
  },
  {
    title: '字段类型',
    dataIndex: 'fieldType',
    edit: true,
  },
  {
    title: '注释',
    dataIndex: 'annotation',
  },
];

export const tableListSearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    colProps: { span: 24 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
